import request from '@/utils/request';
// 初始化list
export function getList(query) {
  return request({
    url: '/basedata/alg/list',
    method: 'get',
    params: query
  })
}
export function postRemove(query) {
  return request({
    url: `/basedata/alg/remove/${query}`,
    method: 'post',
    // params: query
  })
}

// 新增
export function postAdd(query) {
  return request({
    url: '/basedata/alg',
    method: 'post',
    data: query
  })
}

// 编辑查询
export function getItem(query) {
  return request({
    url: `/basedata/alg/${query}`,
    method: 'get',
  })
}
// 编辑
export function edit(query) {
  return request({
    url: `/basedata/alg/edit`,
    method: 'post',
    data: query
  })
}